#ifndef __motion_interface_h__
#define __motion_interface_h__

#include "main.h"

void integrate_left_right(uint8_t* left_buff, uint8_t left_len, uint8_t* right_buff, uint8_t right_len);

void get_game_package(uint8_t* buff_address, uint8_t * buff_len);

//void process_motion(int16_t* _acc, int16_t* _gry, int16_t* front_mag, int16_t* back_mag, uint8_t _rssi);

void process_motion(uint32_t time_stamp, int16_t _acc[3], int16_t _gry[3],  int16_t front_mag[3], int16_t back_mag[3], uint8_t _rssi);

void get_foot_data(uint8_t *buf, uint8_t *buff_len);

#endif

